0

Have cloned the git library for obfs4 from https://github.com/Yawning/obfs4

Have installed go version go1.11.5 linux/amd64.

I am trying to follow the Readme.md build instructions, but the build fails with Error 404 file not found:

go build -o obfs4proxy/obfs4proxy ./obfs4proxy
go: finding gitlab.com/yawning/utls.git v0.0.10-1
go: gitlab.com/yawning/utls.git@v0.0.10-1: git fetch -f https://gitlab.com/yawning/utls refs/heads/*:refs/heads/* refs/tags/*:refs/tags/* in /root/work/pkg/mod/cache/vcs/f923860f723f34e4b0e4888426f2ddac74b64cf389f0d13e9bf5cc235784502b: exit status 128:
        error: RPC failed; result=22, HTTP code = 404
        fatal: The remote end hung up unexpectedly
go: error loading module requirements

I cannot get past this point. Any help appreciated.

  • Are you sure that GitLab (or gitlab.com/yawning/utls specifically) isn’t being blocked? Can you clone the repository manually? – Steve Apr 19 at 17:27
  • No I cannot git clone that URL. That also gives a 404 error. I can (and did) git clone github.com/Yawning/obfs4, but I don't know where to go from there. I can also get to gitlab.com/yawning/utls from a browser. – Helang_IT Apr 20 at 4:02
  • If no one replies here, this might be a better question for the SuperUser stack exchange. – Steve Apr 20 at 22:04
0

Try installing a newer version of GIT client. For example, as described in this article. After that I was able to build a binary file obfs4proxy.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.